/**
 * Created by 1 at 2022-08-08 16:06:22
 * 注册事件类【角色权限】，参看event.defaultEvent.js
 */
window.$swEvent.setup("bpm.sys.user.role.roleRight", {
    setup(page) {
        const {$params, $refs, $widgets, $model, $utils, $tabRouter, $api} = page || {};
        const {$$message, $$http} = $utils || {};
        const temp_mp_id = "";
        // 示例
        const onBeforeSave = () => {
            $model.rightData.setFormVal("data", $model.roleDataList.data.list.rows);
        };

        return {
            onBeforeSave,
        }
    }
});
